﻿using System;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Linq;
using System.Windows.Data;

namespace CalendarDayTemplate
{
    public class DateToDegreesMultiValueConverter : IMultiValueConverter
    {
        public object Convert(object[] values, Type targetType, object parameter, CultureInfo culture)
        {
            var date = values[0] as DateTime?;
            var collection = values[1] as ObservableCollection<Forecast>;

            var temperature = collection.Where(f => f.Date == date).FirstOrDefault().Temperature;
            return temperature.ToString();
        }

        public object[] ConvertBack(object value, Type[] targetTypes, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
